Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88025 - make modules fails
Summary: make modules fails
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-04 19:17 UTC by Todd Kennedy
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-12-17 00:17:23 UTC


Attachments (Terms of Use)

Description Todd Kennedy 2003-04-04 19:17:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021207
Phoenix/0.5

Description of problem:
installed kernel source using the "add/remove applications" control panel
(already had all the developer tools installed).

make xconfig
select kernel options (the one option i'm trying to build is the ntfs.o
read-only kernal module, but i went through and customized the kernel)
save and exit kernel configurator
make dep && clean bzImage modules modules_install.

i am compiling my ethernet driver as a module.  3com ethernet
3c590/3c595/3c90x/3cx980.

compile stops with the following errors (on the make modules part)
this text box will not contain all the errors, so i have posted them to my
website: http://www.robotholocaust.com/kernel_errors.txt

these are the last few lines from make -C net modules
dummy.c: In function `dummy_init':
dummy.c:58: invalid suffix on integer constant
dummy.c:58: called object is not a function
dummy.c: In function `dummy_cleanup_module':
dummy.c:117: invalid suffix on integer constant
dummy.c:117: called object is not a function
make[2]: *** [dummy.o] Error 1
make[2]: Leaving directory `/usr/src/linux-2.4.20-8/drivers/net'
make[1]: *** [_modsubdir_net] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.20-8/drivers'
make: *** [_mod_drivers] Error 2


Version-Release number of selected component (if applicable):
kernel-2.4.20-8

How reproducible:
Always

Steps to Reproduce:
1. run make xconfig
2. select loadable modules
3. run make dep && clean bzImage modules modules_install (or just make modules)
    

Actual Results:  I got the errors described above

Expected Results:  The kernel modules should have compiled correctly

Additional info:

see the full output of the error text at
http://www.robotholocaust.com/kernel_errors.txt

Comment 1 Arjan van de Ven 2003-04-04 19:28:37 UTC
you forgot make mrproper ;(

also

http://linux-ntfs.sourceforge.net/info/redhat.html
has prebuild modules ;)


Note You need to log in before you can comment on or make changes to this bug.